:root {
  --maintext-color: #fff;

  /* BG Gradient Variables */
  --bg-gradient-color-1: #a20000;
  --bg-gradient-color-2: #ff8e5e;
  --bg-gradient-angle: 45deg;
  --bg-gradient: linear-gradient(
    var(--bg-gradient-angle),
    var(--bg-gradient-color-1) 0%,
    var(--bg-gradient-color-2) 100%
  );

  /* Calendar Variables */
  --daybg: #e0e7ec;
  --daytext: #66757f;
  --monthyearbg: #830000;
  --monthyeartext: #e0e7ec;
  --lapsearrowbg: #e0e7ec;

  /* City Council Logo Color */
  --councilcolor: #fff;

  /* Shape Gif */
  --shape: url("../img/dd12.gif");
}

* {
  box-sizing: border-box;
  font-kerning: auto;
  font-variant-ligatures: common-ligatures contextual;
  font-variant-numeric: lining-nums proportional-nums;
  font-feature-settings: "lnum" 1, "pnum" 1, "kern" 1, "liga" 1, "clig" 1,
    "dlig" 0, "calt" 1;
}

body {
  background: center no-repeat fixed var(--bg-gradient);
  background-size: cover;
  font-size: 3em;
  display: grid;
  height: 100vh;
  margin: 0;
  padding: 0;
  grid-template-areas:
    "header"
    "date"
    "time"
    "clock"
    "aside"
    "logo";
  justify-content: center;
  align-content: start;
  text-align: center;
  color: var(--maintext-color);
}

#loading-overlay {
  background: var(--bg-gradient);
}

#poly {
  position: fixed;
  width: 100%;
  height: 100%;
  pointer-events: none;
  background: center no-repeat fixed var(--shape);
  background-size: 90vh;
  z-index: -1;
  opacity: 0.15;
}

header {
  grid-area: header;
  font-size: 2em;
  line-height: 1;
  margin-bottom: 0;
}

header h1 {
  display: contents;
  font-size: inherit;
  padding: 0;
  margin: 0;
}

header,
h2,
h3 {
  font-family: "Palanquin Dark", sans-serif;
  text-transform: uppercase;
  font-weight: 700;
}

body[id*="intermission"] header,
body[id*="intermission"] h2,
body[id*="intermission"] h3 {
  font-family: brandon-grotesque, sans-serif;
  line-height: 1.2;
}

body[id*="intermission"] header {
  font-size: 2.25em;
}

body[id*="intermission"] h2,
body[id*="intermission"] h3 {
  font-family: brandon-grotesque, sans-serif;
  font-weight: 700;
  text-transform: capitalize;
  margin: 0 0 0.25em 0;
}

.active_date h3,
.lapse_date h3 {
  grid-area: time;
  font-weight: 400;
  font-size: 1em;
  margin: 1rem 0 0 0;
  padding: 0;
}

body[id*="intermission"] h2.intermission_text {
  font-size: 1.5em;
}

#active_date,
#lapse_date {
  grid-area: date;
  margin: 0 0.25em;
}

#active_date.hide,
#lapse_date.hide,
#active_date h3.hide,
#lapse_date h3.hide {
  display: none;
}

#lapse_date > div {
  margin: 0;
  padding: 0;
  display: grid;
  grid-template-rows: 100%;
  grid-template-columns: 1fr 5vw 1fr;
}

#pause {
  display: grid;
  grid-template-columns: 1.5fr 0.5fr;
  padding: 1vw;
  height: 1em;
  align-self: center;
}

#pause .arrow.left {
  height: 0.25em;
  align-self: center;
  background-color: var(--lapsearrowbg);
  border-top-left-radius: 0.0625em;
  border-bottom-left-radius: 0.0625em;
}

#pause .arrow.right {
  width: 0.3em;
  height: 0.3em;
  border-top-right-radius: 20%;
  background-color: var(--lapsearrowbg);
  align-self: center;
  transform: rotate(30deg) skewX(-30deg) scale(1, 0.866);
  text-align: initial;
}

#pause .arrow.right::before,
#pause .arrow.right::after {
  content: "";
  position: absolute;
  background-color: inherit;
  width: 100%;
  height: 100%;
  border-top-right-radius: 20%;
}

#pause .arrow.right::before {
  transform: rotate(-135deg) skewX(-45deg) scale(1.414, 0.707)
    translate(0, -50%);
}

#pause .arrow.right::after {
  transform: rotate(135deg) skewY(-45deg) scale(0.707, 1.414) translate(50%);
}

svg {
  width: 100%;
  max-width: 450px;
  margin: auto;
  display: block;
}

.daybg {
  fill: var(--daybg);
}

.daytext {
  fill: var(--daytext);
}

.monthyearbg {
  fill: var(--monthyearbg);
}

.monthyeartext {
  fill: var(--monthyeartext);
}

h2,
h3 {
  display: flex;
  flex-direction: row;
  align-items: center;
  font-size: 1em;
}

h2::before,
h2::after,
h3::before,
h3::after {
  content: "";
  background-color: var(--councilcolor);
  flex-grow: 2;
  height: 0.125rem;
  margin: 1rem;
}

.digital-clock {
  font-family: brandon-grotesque, sans-serif;
  font-variant-numeric: tabular-nums;
  font-size: 1.5em;
  font-weight: 700;
  letter-spacing: 0.05em;
  text-align: center;
  grid-area: clock;
  margin: 0;
  display: flex;
  justify-content: space-around;
}

.digital-clock span {
  display: inline-flex;
  margin: 0.125rem;
  padding: 0;
  width: 100%;
  text-align: center;
  align-items: center;
  justify-content: center;
  background-color: var(--monthyearbg);
  color: var(--daybg);
  line-height: 2em;
}

.digital-clock span:first-of-type {
  border-top-left-radius: 2rem;
  border-bottom-left-radius: 2rem;
}

.digital-clock span:last-of-type {
  font-variant: small-caps;
  border-top-right-radius: 2rem;
  border-bottom-right-radius: 2rem;
}

aside {
  grid-area: aside;
  font-family: "Palanquin Dark", sans-serif;
  font-weight: 400;
  font-size: 0.5em;
}

.cc_logo {
  grid-area: logo;
  width: 25%;
  margin: 0 auto;
}

.cc_logo > div {
  background-color: var(--councilcolor);
  mask-image: url("../img/MenoCCWht.svg");
  mask-repeat: no-repeat;
  mask-size: contain;
  mask-position: center;
  width: 100%;
  height: 100%;
  padding-bottom: 100%;
}

.hide {
  display: none;
}

@media (max-width: 650px) {
  body {
    font-size: 2em;
  }
}
